Bug 119523 - debug files packaged in non-debug lam package
Summary: debug files packaged in non-debug lam package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lam (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Target
TreeView+ depends on / blocked
 
Reported: 2004-03-31 02:34 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 7.0.3-6.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-17 19:12:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2004-03-31 02:34:19 UTC
# rpm -qf /usr/lib/debug/usr/bin/mpirun.debug
lam-7.0.3-6.1
# rpm -qf /usr/lib/debug/usr/lib/lam/liblam_totalview.so.0.0.0.debug
lam-7.0.3-6.1

Comment 1 Lon Hohberger 2004-03-31 14:03:03 UTC
The changelog documents why they're there.  Basically, either we
include these or we remove TotalView support again; TotalView depends
on the debugging information.

The upstream packages include a tarball with unstripped versions of
mpirun and liblam_totalview.so which is untarred in the %post phase of
the RPM install.  I figured it was cleaner to have debuginfo in the
main RPM rather than having it do what the upstream RPM does
(basically, the upstream rpm breaks rpmverify...).

Comment 2 Alexandre Oliva 2004-03-31 16:01:47 UTC
How about splitting them into a separate binary package, and having
TotalView depend on that?  I don't see why TotalView, that's not even
part of the distro AFAICT, should cause /usr/lib/debug to contain junk
as far as pretty much everybody is concerned.  IMHO, this
lam-totalview-debug package shouldn't even be installed in an
everything install, but should be available for TotalView users.

Comment 3 Lon Hohberger 2004-03-31 16:04:37 UTC
Sounds very reasonable.  I'll get it in ASAP

Comment 4 Lon Hohberger 2004-04-05 18:09:01 UTC
Afterthoughts - It's 2 .debug files.  These 2 files are also included
in the lam-debuginfo package (with no trickery or cleverness), so
lam-totalview-debuginfo has to conflict with lam-debuginfo.  At this
point, it doesn't make sense to separate them, and is probably more
work than it's worth to maintain the separation.

Furthermore, it probably won't hurt to have the extra debugging
information around when debugging MPI programs.

So, I'm reverting to the normal "debug info in -debuginfo"; users
wishing to debug using TotalView will have to install the -debuginfo RPM.

Comment 5 Alexandre Oliva 2004-04-05 19:03:04 UTC
Err...  No need for conflict; as long as the files have the same
contents and permissions, rpm should cope well with the duplication.

Comment 6 Lon Hohberger 2004-04-15 17:12:08 UTC
Debug files relocated to -debug package in 7.0.3-6.4

Comment 7 Alexandre Oliva 2004-04-17 19:12:37 UTC
Confirmed, thanks.  Oddly, /usr/lib/debug/usr/bin and
/usr/lib/debug/usr/lib/lam were not removed by up2date, but they're
not owned by any packages.  Not a problem in lam, though, so I'm
closing this.


Note You need to log in before you can comment on or make changes to this bug.